[18.10 FEAT] Add kernel config options for SMC-R/D

Bug #1789934 reported by bugproxy on 2018-08-30
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Kernel Team
linux (Ubuntu)
Medium
Seth Forshee
Bionic
Undecided
Unassigned

Bug Description

Add folliowing options for SMC-R/D

CONFIG_SMC=m
CONFIG_SMC_DIAG=m
CONFIG_ISM=m

Already provided
CONFIG_HAVE_PNETID with bugzilla
https://bugzilla.linux.ibm.com/show_bug.cgi?id=167251
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1786902

CVE References

bugproxy (bugproxy) on 2018-08-30
tags: added: architecture-s39064 bugnameltc-171006 severity-high targetmilestone-inin1810
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
information type: Private → Public
Changed in linux (Ubuntu):
milestone: none → ubuntu-18.10
Seth Forshee (sforshee) wrote :

We already have:

CONFIG_SMC=m
CONFIG_SMC_DIAG=m

Looking at 4.18, there is no CONFIG_ISM.

Marking this as fixed, please re-open if you find something is missing.

Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
status: In Progress → Fix Released

------- Comment From <email address hidden> 2018-08-31 10:05 EDT-------
@Seth
The config option CONFIG_ISM=m is related to kernel 4.19.

Due to the fact that we have already a backport via
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1786902 -> SMC-Direct

we also need this set on kernel 4.18...

Does that help?

Changed in ubuntu-z-systems:
status: Triaged → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-09-03 08:44 EDT-------
IBM Bugzilla status -> closed; Fix Released by Canonical

Seth Forshee (sforshee) wrote :

The backport from bug #1786902 does not introduce CONFIG_ISM. I see in Linus' tree it is introduced by 684b89bc39ce "s390/ism: add device driver for internal shared memory." Is only this commit needed or is there more that will need to be backported?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-09-05 10:16 EDT-------
You are right. These 2 git commits were missing

e82f2e31f5597a3de44bd27b7427f577f637c552
net/smc: optimize consumer cursor updates

684b89bc39ce4f204b1a2b180f39f2eb36a6b695
s390/ism: add device driver for internal shared memory

Seth Forshee (sforshee) wrote :

We already had e82f2e31f5597a3de44bd27b7427f577f637c552 as it was part of 4.18. Added the other and the config update.

Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Changed in ubuntu-z-systems:
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (29.0 KiB)

This bug was fixed in the package linux - 4.18.0-8.9

---------------
linux (4.18.0-8.9) cosmic; urgency=medium

  * linux: 4.18.0-8.9 -proposed tracker (LP: #1791663)

  * Cosmic update to v4.18.7 stable release (LP: #1791660)
    - rcu: Make expedited GPs handle CPU 0 being offline
    - net: 6lowpan: fix reserved space for single frames
    - net: mac802154: tx: expand tailroom if necessary
    - 9p/net: Fix zero-copy path in the 9p virtio transport
    - spi: davinci: fix a NULL pointer dereference
    - spi: pxa2xx: Add support for Intel Ice Lake
    - spi: spi-fsl-dspi: Fix imprecise abort on VF500 during probe
    - spi: cadence: Change usleep_range() to udelay(), for atomic context
    - mmc: block: Fix unsupported parallel dispatch of requests
    - mmc: renesas_sdhi_internal_dmac: mask DMAC interrupts
    - mmc: renesas_sdhi_internal_dmac: fix #define RST_RESERVED_BITS
    - readahead: stricter check for bdi io_pages
    - block: fix infinite loop if the device loses discard capability
    - block: blk_init_allocated_queue() set q->fq as NULL in the fail case
    - block: really disable runtime-pm for blk-mq
    - blkcg: Introduce blkg_root_lookup()
    - block: Introduce blk_exit_queue()
    - block: Ensure that a request queue is dissociated from the cgroup controller
    - apparmor: fix bad debug check in apparmor_secid_to_secctx()
    - dma-buf: Move BUG_ON from _add_shared_fence to _add_shared_inplace
    - libertas: fix suspend and resume for SDIO connected cards
    - media: Revert "[media] tvp5150: fix pad format frame height"
    - mailbox: xgene-slimpro: Fix potential NULL pointer dereference
    - Replace magic for trusting the secondary keyring with #define
    - Fix kexec forbidding kernels signed with keys in the secondary keyring to
      boot
    - powerpc/fadump: handle crash memory ranges array index overflow
    - powerpc/64s: Fix page table fragment refcount race vs speculative references
    - powerpc/pseries: Fix endianness while restoring of r3 in MCE handler.
    - powerpc/pkeys: Give all threads control of their key permissions
    - powerpc/pkeys: Deny read/write/execute by default
    - powerpc/pkeys: key allocation/deallocation must not change pkey registers
    - powerpc/pkeys: Save the pkey registers before fork
    - powerpc/pkeys: Fix calculation of total pkeys.
    - powerpc/pkeys: Preallocate execute-only key
    - powerpc/nohash: fix pte_access_permitted()
    - powerpc64/ftrace: Include ftrace.h needed for enable/disable calls
    - powerpc/powernv/pci: Work around races in PCI bridge enabling
    - cxl: Fix wrong comparison in cxl_adapter_context_get()
    - IB/mlx5: Honor cnt_set_id_valid flag instead of set_id
    - IB/mlx5: Fix leaking stack memory to userspace
    - IB/srpt: Fix srpt_cm_req_recv() error path (1/2)
    - IB/srpt: Fix srpt_cm_req_recv() error path (2/2)
    - IB/srpt: Support HCAs with more than two ports
    - overflow.h: Add arithmetic shift helper
    - RDMA/mlx5: Fix shift overflow in mlx5_ib_create_wq
    - ib_srpt: Fix a use-after-free in srpt_close_ch()
    - ib_srpt: Fix a use-after-free in __srpt_close_all_ch()
    - RDMA/rxe: Set wqe->status correctly if an unexpected...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Seth Forshee (sforshee) on 2018-10-11
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
status: Fix Committed → New
Seth Forshee (sforshee) on 2018-10-11
Changed in linux (Ubuntu Bionic):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers